Index: therion-5.3.16/thexpmap.cxx
===================================================================
--- therion-5.3.16.orig/thexpmap.cxx
+++ therion-5.3.16/thexpmap.cxx
@@ -3086,7 +3086,13 @@ void thexpmap::export_pdf_set_colors(cla
             case TT_LAYOUT_CCRIT_MAP:
               // vsetkym scrapom v kazdej priradi farbu
               if (firstmapscrap) {
-                thset_color(0, (double) (nmap - cmn), (double) nmap, cR, cG, cB);
+                if (cmap->map->colour.defined) {
+                  cR = cmap->map->colour.R;
+                  cG = cmap->map->colour.G;
+                  cB = cmap->map->colour.B;
+                } else {
+                  thset_color(0, (double) (nmap - cmn), (double) nmap, cR, cG, cB);
+                }
                 std::string maptitle("");
                 if (strlen(cmap->map->title) > 0) {
                   maptitle = ths2txt(cmap->map->title, this->layout->lang);
Index: therion-5.3.16/thmap.cxx
===================================================================
--- therion-5.3.16.orig/thmap.cxx
+++ therion-5.3.16/thmap.cxx
@@ -133,6 +133,10 @@ void thmap::set(thcmd_option_desc cod, c
       this->last_level++;
       break;
 
+    case TT_MAP_COLOUR:
+      this->colour.parse(args[0]);
+      break;
+
 	case TT_MAP_SURVEY:
 	  thparse_objectname(this->asoc_survey, &(this->db->buff_stations), args[0], this);
 	  break;
Index: therion-5.3.16/thmap.h
===================================================================
--- therion-5.3.16.orig/thmap.h
+++ therion-5.3.16/thmap.h
@@ -31,6 +31,7 @@
 
 
 #include "thdataobject.h"
+#include "thlayoutclr.h"
 #include "thmapstat.h"
 
 /**
@@ -43,6 +44,7 @@ enum {
   TT_MAP_BREAK = 2002,
   TT_MAP_PROJECTION = 2003,
   TT_MAP_SURVEY = 2004,
+  TT_MAP_COLOUR = 2005,
 };
 
 
@@ -52,6 +54,8 @@ enum {
  
 static const thstok thtt_map_opt[] = {
   {"break", TT_MAP_BREAK},
+  {"color", TT_MAP_COLOUR},
+  {"colour", TT_MAP_COLOUR},
   {"preview", TT_MAP_PREVIEW},
   {"proj", TT_MAP_PROJECTION},
   {"projection", TT_MAP_PROJECTION},
@@ -88,6 +92,8 @@ class thmap : public thdataobject {
   
   thmapstat stat;
 
+  thlayout_color colour;
+
   /**
    * Standard constructor.
    */
